Summary:    Java bindings for the libvirt virtualization API
Name:       libvirt-java
Version:    0.4.7
Prefix:     libvirt
Release:    %mkrel 1
License:    LGPLv2+
BuildArch:  noarch
Group:      Development/Java
Source:     http://libvirt.org/sources/java/%{name}-%{version}.tar.gz
URL:        http://libvirt.org/

Requires:   jna
Requires:   libvirt-client
Requires:   java
Requires:   jpackage-utils
BuildRequires:  ant
BuildRequires:  jna
BuildRequires:  ant-junit
BuildRequires:  java-devel
BuildRequires:  jpackage-utils

#
# the jpackage-utils should provide a %{java_home} macro
# to select a different Java JVM from the default one use the following
# rpmbuild --define 'java_home /usr/lib/jvm/your_jvm_of_choice'
#

%description
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language.
It requires libvirt-client >= 0.8.2

%package    devel
Summary:    Compressed Java source files for %{name}
Group:      Development/Java
Requires:   %{name} = %{version}-%{release}

%description    devel
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language. This is the development part needed
to build applications with Libvirt-java.


%package    javadoc
Summary:    Java documentation for %{name}
Group:      Development/Java
Requires:   jpackage-utils

%description    javadoc
API documentation for %{name}.
%prep
%setup -q

%build
ant build docs

%install
rm -fr %{buildroot}
install -d -m0755 %{buildroot}%{_javadir}
install -d -m0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp target/%{prefix}-%{version}.jar %{buildroot}%{_javadir}
%{__ln_s} %{_javadir}/%{prefix}-%{version}.jar %{buildroot}%{_javadir}/%{prefix}.jar 
cp -r target/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{_javadocdir}/%{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS COPYING NEWS README INSTALL
%{_javadir}/*.jar

%files devel
%doc src/test/java/test.java

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Thu Jul 28 2011 dmorgan <dmorgan> 0.4.7-1.mga2
+ Revision: 130310
- Fix groups
- New version 0.4.7

  + saispo <saispo>
    - Fix Requires and BuildRequires
    - imported package libvirt-java

